Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# GraphicsPipeSelection Class Reference

This maintains a list of GraphicsPipes by type that are available for creation. More...

List of all members.

## Public Member Functions
int | getNumAuxModules ()
| Returns the number of display modules that are still to be loaded.
int | getNumPipeTypes ()
| Returns the number of different types of GraphicsPipes that are available to create through this interface.
TypeHandle | getPipeType (int n)
| Returns the nth type of GraphicsPipe available through this interface.
list | getPipeTypes ()
| loadAuxModules ()
| Loads all the modules named in the aux-display Configrc variable, making as many graphics pipes as possible available.
GraphicsPipe | makeDefaultPipe ()
| Creates a new GraphicsPipe of some arbitrary type.
GraphicsPipe | makeModulePipe (string module_name)
| Returns a new GraphicsPipe of a type defined by the indicated module.
GraphicsPipe | makePipe (string type_name, string module_name)
| Creates a new GraphicsPipe of the indicated type (or a type more specific than the indicated type, if necessary) and returns it.
GraphicsPipe | makePipe (TypeHandle type)
| Creates a new GraphicsPipe of the indicated type (or a type more specific than the indicated type, if necessary) and returns it.
GraphicsPipe | makePipe (string type_name)
| Creates a new GraphicsPipe of the indicated type (or a type more specific than the indicated type, if necessary) and returns it.
| printPipeTypes ()
| Writes a list of the currently known GraphicsPipe types to nout, for the user's information.
## Static Public Member Functions
static GraphicsPipeSelection | getGlobalPtr ()
| Returns a pointer to the one global GraphicsPipeSelection object.

## Detailed Description

This maintains a list of GraphicsPipes by type that are available for creation.

Normally there is one default interactive GraphicsPipe, and possibly other types available as well.

## Member Function Documentation

static GraphicsPipeSelection getGlobalPtr | ( |  | ) | `[static]`

Returns a pointer to the one global GraphicsPipeSelection object.

int getNumAuxModules | ( |  | ) |

Returns the number of display modules that are still to be loaded.

If this is nonzero, then calling load_aux_modules() will likely increase the number of GraphicsPipes available.

int getNumPipeTypes | ( |  | ) |

Returns the number of different types of GraphicsPipes that are available to create through this interface.

TypeHandle getPipeType | ( | int | n | ) |

Returns the nth type of GraphicsPipe available through this interface.

list getPipeTypes | ( |  | ) |

loadAuxModules | ( |  | ) |

Loads all the modules named in the aux-display Configrc variable, making as many graphics pipes as possible available.

GraphicsPipe makeDefaultPipe | ( |  | ) |

Creates a new GraphicsPipe of some arbitrary type.

The user may specify a preference using the Configrc file; otherwise, one will be chosen arbitrarily.

GraphicsPipe makeModulePipe | ( | string | module_name | ) |

Returns a new GraphicsPipe of a type defined by the indicated module.

Returns NULL if the module is not found or does not properly recommend a GraphicsPipe.

GraphicsPipe makePipe | ( | string | type_name,
|  | string | module_name
| ) |  |

Creates a new GraphicsPipe of the indicated type (or a type more specific than the indicated type, if necessary) and returns it.

Returns NULL if the type cannot be matched.

If the type is not already defined, this will implicitly load the named module, or if module_name is empty, it will call load_aux_modules().

GraphicsPipe makePipe | ( | TypeHandle | type | ) |

Creates a new GraphicsPipe of the indicated type (or a type more specific than the indicated type, if necessary) and returns it.

Returns NULL if the type cannot be matched.

GraphicsPipe makePipe | ( | string | type_name | ) |

Creates a new GraphicsPipe of the indicated type (or a type more specific than the indicated type, if necessary) and returns it.

Returns NULL if the type cannot be matched.

If the type is not already defined, this will implicitly load the named module, or if module_name is empty, it will call load_aux_modules().

printPipeTypes | ( |  | ) |

Writes a list of the currently known GraphicsPipe types to nout, for the user's information.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties